Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.globalschema
Class GlobalSchema

    java.lang.Object
      unity.globalschema.GlobalSchema

    public class GlobalSchema

extends java.lang.Object

Constructor Summary
`GlobalSchema()`

Method Summary
`void` | `createAnnotatedSources(java.io.BufferedReader file, java.lang.String fullPathName)` This method processes an XML file containing data source information of data sources that the driver can connect to.
`java.util.ArrayList` | `findField(java.lang.String fieldName)`
`java.util.ArrayList` | `findTable(java.lang.String tableName)`
`java.util.ArrayList` | `getAnnotatedDatabases()`
`AnnotatedSourceDatabase` | `getDB(java.lang.String dbName)`
`GlobalConcept` | `getGlobalConcept(java.lang.String semanticName)`
`GlobalConcept` | `getRoot()`
`java.lang.String` | `getSourcesURL()`
`boolean` | `isConcept(java.lang.String sn)`
`void` | `printTreeToFile(java.io.File file)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalSchema

    public GlobalSchema()

Method Detail

### getAnnotatedDatabases

    public java.util.ArrayList getAnnotatedDatabases()

### isConcept

    public boolean isConcept(java.lang.String sn)

### getRoot

    public GlobalConcept getRoot()

### getDB

    public AnnotatedSourceDatabase getDB(java.lang.String dbName)

### createAnnotatedSources

    public void createAnnotatedSources(java.io.BufferedReader file,
                                       java.lang.String fullPathName)
                                throws java.sql.SQLException

  This method processes an XML file containing data source information of data sources that the driver can connect to.

  Parameters:
    `file` -
    `info` -
    `object` -
  Throws:
    `java.sql.SQLException`

### findTable

    public java.util.ArrayList findTable(java.lang.String tableName)

### findField

    public java.util.ArrayList findField(java.lang.String fieldName)

### getSourcesURL

    public java.lang.String getSourcesURL()

### getGlobalConcept

    public GlobalConcept getGlobalConcept(java.lang.String semanticName)

### printTreeToFile

    public void printTreeToFile(java.io.File file)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD